<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PAPFormattedDiskPage (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PAPFormattedDiskPage (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PAPFormattedDiskPage.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/PAPFormattedDiskPage.html"
               target="_top">Frames</a></li>
        <li><a href="PAPFormattedDiskPage.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.FormattedDiskPage">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwpf.model</div>
    <h2 title="Class PAPFormattedDiskPage" class="title">Class PAPFormattedDiskPage</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
                       title="class in org.apache.poi.hwpf.model">org.apache.poi.hwpf.model.FormattedDiskPage</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.hwpf.model.PAPFormattedDiskPage</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public final class <span class="typeNameLabel">PAPFormattedDiskPage</span>
extends <a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
           title="class in org.apache.poi.hwpf.model">FormattedDiskPage</a></pre>
                <div class="block">Represents a PAP FKP. The style properties for paragraph and character runs
                    are stored in fkps. There are PAP fkps for paragraph properties and CHP fkps
                    for character run properties. The first part of the fkp for both CHP and PAP
                    fkps consists of an array of 4 byte int offsets in the main stream for that
                    Paragraph's or Character run's text. The ending offset is the next
                    value in the array. For example, if an fkp has X number of Paragraph's
                    stored in it then there are (x + 1) 4 byte ints in the beginning array. The
                    number X is determined by the last byte in a 512 byte fkp.

                    CHP and PAP fkps also store the compressed styles(grpprl) that correspond to
                    the offsets on the front of the fkp. The offset of the grpprls is determined
                    differently for CHP fkps and PAP fkps.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Ryan Ackley</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hwpf.model.FormattedDiskPage">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
                                        title="class in org.apache.poi.hwpf.model">FormattedDiskPage</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html#Z:Z_crun">_crun</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html#Z:Z_fkp">_fkp</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html#Z:Z_offset">_offset</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#PAPFormattedDiskPage--">PAPFormattedDiskPage</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#PAPFormattedDiskPage-byte:A-byte:A-int-org.apache.poi.hwpf.model.CharIndexTranslator-">PAPFormattedDiskPage</a></span>(byte[]&nbsp;documentStream,
                                    byte[]&nbsp;dataStream,
                                    int&nbsp;offset,
                                    <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                       title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>
                                    <div class="block">Creates a PAPFormattedDiskPage from a 512 byte array</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#fill-java.util.List-">fill</a></span>(java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;&nbsp;filler)</code>
                                    <div class="block">Fills the queue for writing.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#getGrpprl-int-">getGrpprl</a></span>(int&nbsp;index)</code>
                                    <div class="block">Gets the papx grpprl for the paragraph at index in this fkp.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                                              title="class in org.apache.poi.hwpf.model">PAPX</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#getPAPX-int-">getPAPX</a></span>(int&nbsp;index)</code>
                                    <div class="block">Gets the PAPX at index.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#getPAPXs--">getPAPXs</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPFormattedDiskPage.html#toByteArray-java.io.ByteArrayOutputStream-org.apache.poi.hwpf.model.CharIndexTranslator-">toByteArray</a></span>(java.io.ByteArrayOutputStream&nbsp;dataStream,
                                    <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                       title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</code>
                                    <div class="block">Creates a byte array representation of this data structure.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hwpf.model.FormattedDiskPage">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hwpf.model.<a
                                        href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
                                        title="class in org.apache.poi.hwpf.model">FormattedDiskPage</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html#getEnd-int-">getEnd</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html#getStart-int-">getStart</a>,
                                    <a href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html#size--">size</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PAPFormattedDiskPage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PAPFormattedDiskPage</h4>
                                <pre>public&nbsp;PAPFormattedDiskPage()</pre>
                            </li>
                        </ul>
                        <a name="PAPFormattedDiskPage-byte:A-byte:A-int-org.apache.poi.hwpf.model.CharIndexTranslator-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PAPFormattedDiskPage</h4>
                                <pre>public&nbsp;PAPFormattedDiskPage(byte[]&nbsp;documentStream,
                            byte[]&nbsp;dataStream,
                            int&nbsp;offset,
                            <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                               title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)</pre>
                                <div class="block">Creates a PAPFormattedDiskPage from a 512 byte array</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="fill-java.util.List-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fill</h4>
                                <pre>public&nbsp;void&nbsp;fill(java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;&nbsp;filler)</pre>
                                <div class="block">Fills the queue for writing.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>filler</code> - a List of PAPXs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPAPX-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPAPX</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                                    title="class in org.apache.poi.hwpf.model">PAPX</a>&nbsp;getPAPX(int&nbsp;index)</pre>
                                <div class="block">Gets the PAPX at index.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - The index to get the PAPX for.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The PAPX at index.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPAPXs--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPAPXs</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
                                        title="class in org.apache.poi.hwpf.model">PAPX</a>&gt;&nbsp;getPAPXs()</pre>
                            </li>
                        </ul>
                        <a name="getGrpprl-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGrpprl</h4>
                                <pre>protected&nbsp;byte[]&nbsp;getGrpprl(int&nbsp;index)</pre>
                                <div class="block">Gets the papx grpprl for the paragraph at index in this fkp.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html#getGrpprl-int-">getGrpprl</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hwpf/model/FormattedDiskPage.html"
                                                title="class in org.apache.poi.hwpf.model">FormattedDiskPage</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - The index of the papx to get.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a papx grpprl.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toByteArray-java.io.ByteArrayOutputStream-org.apache.poi.hwpf.model.CharIndexTranslator-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toByteArray</h4>
                                <pre>protected&nbsp;byte[]&nbsp;toByteArray(java.io.ByteArrayOutputStream&nbsp;dataStream,
                             <a href="../../../../../org/apache/poi/hwpf/model/CharIndexTranslator.html"
                                title="interface in org.apache.poi.hwpf.model">CharIndexTranslator</a>&nbsp;translator)
                      throws java.io.IOException</pre>
                                <div class="block">Creates a byte array representation of this data structure. Suitable
                                    for
                                    writing to a Word document.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>dataStream</code> - required if PAPX is too big to fit in FKP</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A byte array representing this data structure.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an I/O error occurs.</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PAPFormattedDiskPage.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPBinTable.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/model/PAPX.html"
               title="class in org.apache.poi.hwpf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/model/PAPFormattedDiskPage.html"
               target="_top">Frames</a></li>
        <li><a href="PAPFormattedDiskPage.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hwpf.model.FormattedDiskPage">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
